<?php
/*Blog Page Settings*/
$wp_customize->add_section(
	'blog_page_settings',
	array(
		'priority'       => 6,
		'panel'          => 'minimalblog',
		'title'          => __( 'Blog & Archive Options', 'minimalblog' ),
		'capability'     => 'edit_theme_options',
	)
);

$wp_customize->add_setting(
	'blog_and_archive_section',
		array(
			'default'            => true,
			'transport'            => 'refresh',
			'capability'           => 'edit_theme_options',
			'sanitize_callback'    => 'sanitize_text_field',
		)
);

$wp_customize->add_control(
	new Minimalblog_Customize_Control_Separetor($wp_customize,
	'blog_and_archive_section',
	array(
		'label'       => __( 'Blog And Archive Page Customize.', 'minimalblog' ),
		'section'     => 'blog_page_settings',
		'type'        => 'sepearetor',
	)
));


$wp_customize->add_setting(
	'blog_page_sidebar',
	array(
		'default' => 'right',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'minimalblog_sanitize_radio',
	)
);
$wp_customize->add_control(
	'blog_page_sidebar',
	array(
		'label'       => __( 'Blog Sidebar', 'minimalblog' ),
		'section'     => 'blog_page_settings',
		'type'        => 'radio',
		'choices'  => array(
			'left'  => __( 'Left Sidebar', 'minimalblog' ),
			'right' => __( 'Right Sidebar', 'minimalblog' ),
			'no' => __( 'No Sidebar', 'minimalblog' ),
		),
	)
);

$wp_customize->add_setting(
	'sticky_sidebar',
	array(
		'default' => false,
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'minimalblog_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	'sticky_sidebar',
	array(
		'label'       => __( 'Sticky sidebar On//Off', 'minimalblog' ),
		'section'     => 'blog_page_settings',
		'type'        => 'checkbox',
	)
);


$wp_customize->add_setting(
	'post_customize_section',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	new Minimalblog_Customize_Control_Separetor(
		$wp_customize,
	'post_customize_section',
	array(
		'label'       => __( 'Post Layout Customize', 'minimalblog' ),
		'section'     => 'blog_page_settings',
		'type'        => 'sepearetor',
	)
));

$wp_customize->add_setting(
	'blog_layout',
	array(
		'default' => 'list',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'minimalblog_sanitize_radio',
	)
);
$wp_customize->add_control(
	'blog_layout',
	array(
		'label'       => __( 'Posts Layout', 'minimalblog' ),
		'section'     => 'blog_page_settings',
		'type'        => 'radio',
		'choices'  => array(
			'grid'  => __( 'Grid', 'minimalblog' ),
			'list' => __( 'List', 'minimalblog' ),
		),
	)
);
$wp_customize->add_setting(
	'grid_column',
	array(
		'default' => 'col-sm-6',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'minimalblog_sanitize_radio',
	)
);
$wp_customize->add_control(
	'grid_column',
	array(
		'label'       => __( 'Grid Column', 'minimalblog' ),
		'section'     => 'blog_page_settings',
		'type'        => 'radio',
		'active_callback' => 'minimalblog_blog_grid',
		'choices'  => array(
			'col-sm-3'  => __( '4 Colmun', 'minimalblog' ),
			'col-sm-4' => __( '3 Column', 'minimalblog' ),
			'col-sm-6' => __( '2 Column', 'minimalblog' ),
		),
	)
);
$wp_customize->add_setting(
	'article_heading_tag',
	array(
		'default' => 'h2',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'minimalblog_sanitize_select',
	)
);
$wp_customize->add_control(
	'article_heading_tag',
	array(
		'label'       => __( 'Article Title Tag', 'minimalblog' ),
		'section'     => 'blog_page_settings',
		'type'        => 'select',
		'choices'  => array(
			'h1'  => __( 'h1', 'minimalblog' ),
			'h2' => __( 'h2', 'minimalblog' ),
			'h3' => __( 'h3', 'minimalblog' ),
			'h4' => __( 'h4', 'minimalblog' ),
			'h5' => __( 'h5', 'minimalblog' ),
			'h6' => __( 'h6', 'minimalblog' ),
		),
	)
);
$wp_customize->add_setting(
	'article_alignment',
	array(
		'default' => 'left',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'minimalblog_sanitize_radio',
	)
);
$wp_customize->add_control(
	'article_alignment',
	array(
		'label'       => __( 'Article Alignment', 'minimalblog' ),
		'section'     => 'blog_page_settings',
		'type'        => 'radio',
		'choices'  => array(
			'left'  => __( 'Left', 'minimalblog' ),
			'right' => __( 'Right', 'minimalblog' ),
			'center' => __( 'center', 'minimalblog' ),
		),
	)
);
$wp_customize->add_setting(
	'excerpt_length',
	array(
		'default' => 200,
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'minimalblog_sanitize_number_absint',
	)
);
$wp_customize->add_control(
	'excerpt_length',
	array(
		'label'       => __( 'Excerpt Length', 'minimalblog' ),
		'section'     => 'blog_page_settings',
		'type'        => 'number',
	)
);
$wp_customize->add_setting(
	'readmore_text',
	array(
		'default' => __( 'Read More', 'minimalblog' ),
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'wp_kses_post',
	)
);

$wp_customize->add_control(
	'readmore_text',
	array(
		'label'       => __( 'Read More Text', 'minimalblog' ),
		'section'     => 'blog_page_settings',
		'type'        => 'text',
	)
);

$wp_customize->add_section(
	'blog_single_page_settings',
	array(
		'priority'       => 5,
		'panel'          => 'minimalblog',
		'title'          => __( 'Post Single Page', 'minimalblog' ),
		'capability'     => 'edit_theme_options',
	)
);


$wp_customize->add_setting(
	'blog_single_page_sidebar',
	array(
		'default' => 'right',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'minimalblog_sanitize_radio',
	)
);
$wp_customize->add_control(
	'blog_single_page_sidebar',
	array(
		'label'       => __( 'Sidebar', 'minimalblog' ),
		'section'     => 'blog_single_page_settings',
		'type'        => 'radio',
		'choices'  => array(
			'left'  => __( 'Left Sidebar', 'minimalblog' ),
			'right' => __( 'Right Sidebar', 'minimalblog' ),
			'no' => __( 'No Sidebar', 'minimalblog' ),
		),
	)
);
