<?php
$wp_customize->add_section(
	'promo_categories',
	array(
		'priority'       => 1,
		'panel'          => 'minimalblog',
		'title'          => __( 'Category Slider', 'minimalblog' ),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'promo_category_slider',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'minimalblog_sanitize_checkbox',
		'default'     => false,
	)
);
$wp_customize->add_control(
	'promo_category_slider',
	array(
		'label'       => __( 'Category Slider On/Off', 'minimalblog' ),
		'section'     => 'promo_categories',
		'type'        => 'checkbox',
	)
);
$wp_customize->add_setting(
	'choose_promo_categories',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'minimalblog_category_sanitize',
	)
);
$wp_customize->add_control(
	new minimalblog_Customize_Control_Multiple_Select(
		$wp_customize,
		'choose_promo_categories',
		array(
			'label'       => __( 'Featured Categories', 'minimalblog' ),
			'section'     => 'promo_categories',
			'type'        => 'multiple-select',
			'choices' => minimalblog_get_categories(),
		)
	)
);

$wp_customize->add_setting(
	'category_slider_item',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'minimalblog_sanitize_number_absint',
		'default'     => 3,
	)
);
$wp_customize->add_control(
	'category_slider_item',
	array(
		'label'       => __( 'Slide To Show', 'minimalblog' ),
		'section'     => 'promo_categories',
		'type'        => 'number',
	)
);
$wp_customize->add_setting(
	'category_slider_auto_play',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'minimalblog_sanitize_checkbox',
		'default'     => false,
	)
);
$wp_customize->add_control(
	'category_slider_auto_play',
	array(
		'label'       => __( 'Auto Play', 'minimalblog' ),
		'section'     => 'promo_categories',
		'type'        => 'checkbox',
	)
);